## visad.data.visad
Class BinaryWriter

    java.lang.Object
      visad.data.BaseDataProcessor
          visad.data.visad.BinaryWriter

All Implemented Interfaces:
  BinaryFile, DataProcessor, DataWriter

public class BinaryWriter
extends BaseDataProcessor
implements BinaryFile, DataWriter

Write a `Data` object in VisAD's binary format.

See Also:
  Binary File Format Spec

Field Summary

Fields inherited from interface visad.data.visad.BinaryFile

`DATA_DOUBLE_SET, DATA_FIELD, DATA_FLAT_FIELD, DATA_FLOAT_SET, DATA_GRIDDED_1D_DOUBLE_SET, DATA_GRIDDED_1D_SET, DATA_GRIDDED_2D_DOUBLE_SET, DATA_GRIDDED_2D_SET, DATA_GRIDDED_3D_DOUBLE_SET, DATA_GRIDDED_3D_SET, DATA_GRIDDED_SET, DATA_INTEGER_1D_SET, DATA_INTEGER_2D_SET, DATA_INTEGER_3D_SET, DATA_INTEGER_ND_SET, DATA_IRREGULAR_1D_SET, DATA_IRREGULAR_2D_SET, DATA_IRREGULAR_3D_SET, DATA_IRREGULAR_SET, DATA_LINEAR_1D_SET, DATA_LINEAR_2D_SET, DATA_LINEAR_3D_SET, DATA_LINEAR_LATLON_SET, DATA_LINEAR_ND_SET, DATA_LIST1D_SET, DATA_NONE, DATA_PRODUCT_SET, DATA_REAL, DATA_REAL_TUPLE, DATA_SINGLETON_SET, DATA_TEXT, DATA_TUPLE, DATA_UNION_SET, DEBUG_RD_CSYS, DEBUG_RD_DATA, DEBUG_RD_DATA_DETAIL, DEBUG_RD_ERRE, DEBUG_RD_MATH, DEBUG_RD_STR, DEBUG_RD_TIME, DEBUG_RD_UNIT, DEBUG_WR_CSYS, DEBUG_WR_DATA, DEBUG_WR_DATA_DETAIL, DEBUG_WR_ERRE, DEBUG_WR_MATH, DEBUG_WR_STR, DEBUG_WR_TIME, DEBUG_WR_UNIT, FLD_COORDSYS_SERIAL, FLD_DATA_SAMPLES, FLD_DELAUNAY, FLD_DELAUNAY_EDGES, FLD_DELAUNAY_NUM_EDGES, FLD_DELAUNAY_SERIAL, FLD_DELAUNAY_TRI, FLD_DELAUNAY_VERTICES, FLD_DELAUNAY_WALK, FLD_DOUBLE_SAMPLES, FLD_END, FLD_FIRSTS, FLD_FLOAT_LIST, FLD_FLOAT_SAMPLES, FLD_INDEX_COORDSYS, FLD_INDEX_ERROR, FLD_INDEX_ERRORS, FLD_INDEX_UNIT, FLD_INDEX_UNITS, FLD_INTEGER_SETS, FLD_LASTS, FLD_LENGTHS, FLD_LINEAR_SETS, FLD_RANGE_COORDSYSES, FLD_REAL_SAMPLES, FLD_SAMPLE, FLD_SET, FLD_SET_FOLLOWS_TYPE, FLD_SET_LIST, FLD_SET_SAMPLES, FLD_TRIVIAL_SAMPLES, FORMAT_VERSION, MAGIC_STR, MATH_FUNCTION, MATH_QUANTITY, MATH_REAL, MATH_REAL_TUPLE, MATH_SET, MATH_TEXT, MATH_TUPLE, OBJ_COORDSYS, OBJ_DATA, OBJ_DATA_SERIAL, OBJ_ERROR, OBJ_MATH, OBJ_MATH_SERIAL, OBJ_UNIT`

Constructor Summary
`BinaryWriter()`
`BinaryWriter(File ref)`
`BinaryWriter(OutputStream stream)`
`BinaryWriter(String name)`

Method Summary
`void` `close()` Close the file
`void` `flush()` Flush all data to disk.
`BinaryObjectCache` `getCoordinateSystemCache()`
`BinaryObjectCache` `getErrorEstimateCache()`
`DataOutput` `getOutput()`
`BinaryObjectCache` `getTypeCache()`
`BinaryObjectCache` `getUnitCache()`
`void` `processDoubleSet(SetType type, CoordinateSystem cs, Unit[] units, DoubleSet set, Object token)`
`void` `processFieldImpl(FunctionType type, Set set, FieldImpl fld, Object token)`
`void` `processFlatField(FunctionType type, Set domainSet, CoordinateSystem cs, CoordinateSystem[] rangeCS, Set[] rangeSets, Unit[] units, FlatField fld, Object token)`
`void` `processFloatSet(SetType type, CoordinateSystem cs, Unit[] units, FloatSet set, Object token)`
`void` `processGridded1DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded1DDoubleSet set, Object token)`
`void` `processGridded1DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded1DSet set, Object token)`
`void` `processGridded2DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded2DDoubleSet set, Object token)`
`void` `processGridded2DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded2DSet set, Object token)`
`void` `processGridded3DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded3DDoubleSet set, Object token)`
`void` `processGridded3DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded3DSet set, Object token)`
`void` `processGriddedSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, GriddedSet set, Object token)`
`void` `processInteger1DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer1DSet set, Object token)`
`void` `processInteger2DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer2DSet set, Object token)`
`void` `processInteger3DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer3DSet set, Object token)`
`void` `processIntegerNDSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, IntegerNDSet set, Object token)`
`void` `processIrregular1DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Irregular1DSet set, Object token)`
`void` `processIrregular2DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, Irregular2DSet set, Object token)`
`void` `processIrregular3DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, Irregular3DSet set, Object token)`
`void` `processIrregularSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, IrregularSet set, Object token)`
`void` `processLinear1DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear1DSet set, Object token)`
`void` `processLinear2DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear2DSet set, Object token)`
`void` `processLinear3DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear3DSet set, Object token)`
`void` `processLinearLatLonSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, LinearLatLonSet set, Object token)`
`void` `processLinearNDSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, LinearNDSet set, Object token)`
`void` `processList1DSet(SetType type, float[] list, CoordinateSystem cs, Unit[] units, List1DSet set, Object token)`
`void` `processProductSet(SetType type, SampledSet[] sets, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, ProductSet set, Object token)`
`void` `processReal(RealType type, double value, Unit unit, ErrorEstimate error, Real real, Object token)`
`void` `processRealTuple(RealTupleType type, Real[] components, CoordinateSystem cs, RealTuple rt, Object token)`
`void` `processSampledSet(SetType st, int manifold_dimension, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SampledSet set, Object token)`
`void` `processSimpleSet(SetType st, int manifold_dimension, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SimpleSet set, Object token)`
`void` `processSingletonSet(RealTuple sample, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SingletonSet set, Object token)`
`void` `processText(TextType type, String value, boolean missing, Text text, Object token)`
`void` `processTuple(TupleType type, Data[] components, Tuple t, Object token)`
`void` `processUnionSet(SetType type, SampledSet[] sets, UnionSet set, Object token)`
`void` `processUnknownData(DataImpl data, Object token)`
`void` `save(DataImpl data)` Save a Data object to the file.
`void` `save(DataImpl data, boolean bigObject)` Save a big Data object to the file.
`void` `setFile(File ref)` Open the specified file.
`void` `setFile(String name)` Open the named file.
`void` `setOutputStream(OutputStream stream)`

Methods inherited from class visad.data.BaseDataProcessor
`process, processLinear1DSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface visad.data.DataProcessor
`process`

Constructor Detail

### BinaryWriter

    public BinaryWriter()

### BinaryWriter

    public BinaryWriter(String name)
                 throws IOException

### BinaryWriter

    public BinaryWriter(File ref)
                 throws IOException

### BinaryWriter

    public BinaryWriter(OutputStream stream)
                 throws IOException

Method Detail

### close

    public void close()
               throws IOException

  Description copied from interface: `DataWriter`
  Close the file

  Specified by:
    `close` in interface `DataWriter`
  Throws:
    `IOException` - If there is a problem.

### flush

    public void flush()
               throws IOException

  Description copied from interface: `DataWriter`
  Flush all data to disk.

  Specified by:
    `flush` in interface `DataWriter`
  Throws:
    `IOException` - If there is a problem.

### getCoordinateSystemCache

    public final BinaryObjectCache getCoordinateSystemCache()

### getErrorEstimateCache

    public final BinaryObjectCache getErrorEstimateCache()

### getOutput

    public final DataOutput getOutput()

### getTypeCache

    public final BinaryObjectCache getTypeCache()

### getUnitCache

    public final BinaryObjectCache getUnitCache()

### processDoubleSet

    public void processDoubleSet(SetType type,
                                 CoordinateSystem cs,
                                 Unit[] units,
                                 DoubleSet set,
                                 Object token)
                          throws VisADException

  Specified by:
    `processDoubleSet` in interface `DataProcessor`
  Specified by:
    `processDoubleSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processFieldImpl

    public void processFieldImpl(FunctionType type,
                                 Set set,
                                 FieldImpl fld,
                                 Object token)
                          throws VisADException

  Specified by:
    `processFieldImpl` in interface `DataProcessor`
  Specified by:
    `processFieldImpl` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processFlatField

    public void processFlatField(FunctionType type,
                                 Set domainSet,
                                 CoordinateSystem cs,
                                 CoordinateSystem[] rangeCS,
                                 Set[] rangeSets,
                                 Unit[] units,
                                 FlatField fld,
                                 Object token)
                          throws VisADException

  Specified by:
    `processFlatField` in interface `DataProcessor`
  Specified by:
    `processFlatField` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processFloatSet

    public void processFloatSet(SetType type,
                                CoordinateSystem cs,
                                Unit[] units,
                                FloatSet set,
                                Object token)
                         throws VisADException

  Specified by:
    `processFloatSet` in interface `DataProcessor`
  Specified by:
    `processFloatSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processGridded1DDoubleSet

    public void processGridded1DDoubleSet(SetType type,
                                          double[][] samples,
                                          int[] lengths,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          ErrorEstimate[] errors,
                                          Gridded1DDoubleSet set,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processGridded1DDoubleSet` in interface `DataProcessor`
  Specified by:
    `processGridded1DDoubleSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processGridded2DDoubleSet

    public void processGridded2DDoubleSet(SetType type,
                                          double[][] samples,
                                          int[] lengths,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          ErrorEstimate[] errors,
                                          Gridded2DDoubleSet set,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processGridded2DDoubleSet` in interface `DataProcessor`
  Specified by:
    `processGridded2DDoubleSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processGridded3DDoubleSet

    public void processGridded3DDoubleSet(SetType type,
                                          double[][] samples,
                                          int[] lengths,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          ErrorEstimate[] errors,
                                          Gridded3DDoubleSet set,
                                          Object token)
                                   throws VisADException

  Specified by:
    `processGridded3DDoubleSet` in interface `DataProcessor`
  Specified by:
    `processGridded3DDoubleSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processGridded1DSet

    public void processGridded1DSet(SetType type,
                                    float[][] samples,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Gridded1DSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processGridded1DSet` in interface `DataProcessor`
  Specified by:
    `processGridded1DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processGridded2DSet

    public void processGridded2DSet(SetType type,
                                    float[][] samples,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Gridded2DSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processGridded2DSet` in interface `DataProcessor`
  Specified by:
    `processGridded2DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processGridded3DSet

    public void processGridded3DSet(SetType type,
                                    float[][] samples,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Gridded3DSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processGridded3DSet` in interface `DataProcessor`
  Specified by:
    `processGridded3DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processGriddedSet

    public void processGriddedSet(SetType type,
                                  float[][] samples,
                                  int[] lengths,
                                  CoordinateSystem cs,
                                  Unit[] units,
                                  ErrorEstimate[] errors,
                                  GriddedSet set,
                                  Object token)
                           throws VisADException

  Specified by:
    `processGriddedSet` in interface `DataProcessor`
  Specified by:
    `processGriddedSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processInteger1DSet

    public void processInteger1DSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Integer1DSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processInteger1DSet` in interface `DataProcessor`
  Specified by:
    `processInteger1DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processInteger2DSet

    public void processInteger2DSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Integer2DSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processInteger2DSet` in interface `DataProcessor`
  Specified by:
    `processInteger2DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processInteger3DSet

    public void processInteger3DSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Integer3DSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processInteger3DSet` in interface `DataProcessor`
  Specified by:
    `processInteger3DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processIntegerNDSet

    public void processIntegerNDSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    IntegerNDSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processIntegerNDSet` in interface `DataProcessor`
  Specified by:
    `processIntegerNDSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processIrregular1DSet

    public void processIrregular1DSet(SetType type,
                                      float[][] samples,
                                      CoordinateSystem cs,
                                      Unit[] units,
                                      ErrorEstimate[] errors,
                                      Irregular1DSet set,
                                      Object token)
                               throws VisADException

  Specified by:
    `processIrregular1DSet` in interface `DataProcessor`
  Specified by:
    `processIrregular1DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processIrregular2DSet

    public void processIrregular2DSet(SetType type,
                                      float[][] samples,
                                      CoordinateSystem cs,
                                      Unit[] units,
                                      ErrorEstimate[] errors,
                                      Delaunay delaunay,
                                      Irregular2DSet set,
                                      Object token)
                               throws VisADException

  Specified by:
    `processIrregular2DSet` in interface `DataProcessor`
  Specified by:
    `processIrregular2DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processIrregular3DSet

    public void processIrregular3DSet(SetType type,
                                      float[][] samples,
                                      CoordinateSystem cs,
                                      Unit[] units,
                                      ErrorEstimate[] errors,
                                      Delaunay delaunay,
                                      Irregular3DSet set,
                                      Object token)
                               throws VisADException

  Specified by:
    `processIrregular3DSet` in interface `DataProcessor`
  Specified by:
    `processIrregular3DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processIrregularSet

    public void processIrregularSet(SetType type,
                                    float[][] samples,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Delaunay delaunay,
                                    IrregularSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processIrregularSet` in interface `DataProcessor`
  Specified by:
    `processIrregularSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processLinear1DSet

    public void processLinear1DSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   Linear1DSet set,
                                   Object token)
                            throws VisADException

  Specified by:
    `processLinear1DSet` in interface `DataProcessor`
  Specified by:
    `processLinear1DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processLinear2DSet

    public void processLinear2DSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   Linear2DSet set,
                                   Object token)
                            throws VisADException

  Specified by:
    `processLinear2DSet` in interface `DataProcessor`
  Specified by:
    `processLinear2DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processLinear3DSet

    public void processLinear3DSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   Linear3DSet set,
                                   Object token)
                            throws VisADException

  Specified by:
    `processLinear3DSet` in interface `DataProcessor`
  Specified by:
    `processLinear3DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processLinearLatLonSet

    public void processLinearLatLonSet(SetType type,
                                       double[] firsts,
                                       double[] lasts,
                                       int[] lengths,
                                       CoordinateSystem cs,
                                       Unit[] units,
                                       ErrorEstimate[] errors,
                                       LinearLatLonSet set,
                                       Object token)
                                throws VisADException

  Specified by:
    `processLinearLatLonSet` in interface `DataProcessor`
  Specified by:
    `processLinearLatLonSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processLinearNDSet

    public void processLinearNDSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   LinearNDSet set,
                                   Object token)
                            throws VisADException

  Specified by:
    `processLinearNDSet` in interface `DataProcessor`
  Specified by:
    `processLinearNDSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processList1DSet

    public void processList1DSet(SetType type,
                                 float[] list,
                                 CoordinateSystem cs,
                                 Unit[] units,
                                 List1DSet set,
                                 Object token)
                          throws VisADException

  Specified by:
    `processList1DSet` in interface `DataProcessor`
  Specified by:
    `processList1DSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processProductSet

    public void processProductSet(SetType type,
                                  SampledSet[] sets,
                                  CoordinateSystem cs,
                                  Unit[] units,
                                  ErrorEstimate[] errors,
                                  ProductSet set,
                                  Object token)
                           throws VisADException

  Specified by:
    `processProductSet` in interface `DataProcessor`
  Specified by:
    `processProductSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processReal

    public void processReal(RealType type,
                            double value,
                            Unit unit,
                            ErrorEstimate error,
                            Real real,
                            Object token)
                     throws VisADException

  Specified by:
    `processReal` in interface `DataProcessor`
  Specified by:
    `processReal` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processRealTuple

    public void processRealTuple(RealTupleType type,
                                 Real[] components,
                                 CoordinateSystem cs,
                                 RealTuple rt,
                                 Object token)
                          throws VisADException

  Specified by:
    `processRealTuple` in interface `DataProcessor`
  Specified by:
    `processRealTuple` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processSampledSet

    public void processSampledSet(SetType st,
                                  int manifold_dimension,
                                  CoordinateSystem cs,
                                  Unit[] units,
                                  ErrorEstimate[] errors,
                                  SampledSet set,
                                  Object token)
                           throws VisADException

  Specified by:
    `processSampledSet` in interface `DataProcessor`
  Specified by:
    `processSampledSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processSimpleSet

    public void processSimpleSet(SetType st,
                                 int manifold_dimension,
                                 CoordinateSystem cs,
                                 Unit[] units,
                                 ErrorEstimate[] errors,
                                 SimpleSet set,
                                 Object token)
                          throws VisADException

  Specified by:
    `processSimpleSet` in interface `DataProcessor`
  Specified by:
    `processSimpleSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processSingletonSet

    public void processSingletonSet(RealTuple sample,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    SingletonSet set,
                                    Object token)
                             throws VisADException

  Specified by:
    `processSingletonSet` in interface `DataProcessor`
  Specified by:
    `processSingletonSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processText

    public void processText(TextType type,
                            String value,
                            boolean missing,
                            Text text,
                            Object token)
                     throws VisADException

  Specified by:
    `processText` in interface `DataProcessor`
  Specified by:
    `processText` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processTuple

    public void processTuple(TupleType type,
                             Data[] components,
                             Tuple t,
                             Object token)
                      throws VisADException

  Specified by:
    `processTuple` in interface `DataProcessor`
  Specified by:
    `processTuple` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processUnionSet

    public void processUnionSet(SetType type,
                                SampledSet[] sets,
                                UnionSet set,
                                Object token)
                         throws VisADException

  Specified by:
    `processUnionSet` in interface `DataProcessor`
  Specified by:
    `processUnionSet` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### processUnknownData

    public void processUnknownData(DataImpl data,
                                   Object token)
                            throws VisADException

  Specified by:
    `processUnknownData` in interface `DataProcessor`
  Specified by:
    `processUnknownData` in class `BaseDataProcessor`
  Throws:
    `VisADException`

### save

    public void save(DataImpl data)
              throws VisADException

  Save a Data object to the file.

  Parameters:
    `data` - `Data` object to save
  Throws:
    `VisADException` - if the save fails.

### save

    public void save(DataImpl data,
                     boolean bigObject)
              throws VisADException

  Save a big Data object to the file. If called with `bigObject` set to `true`, special measures will be taken to make sure that only the necessary parts of a `Data` object are loaded, so that objects too large to fit in memory have a better chance of being saved.

  Parameters:
    `data` - `Data` object to save
    `bigObject` - `true` if this is a really big object
  Throws:
    `VisADException` - if the save fails.

### setFile

    public void setFile(String name)
                 throws IOException

  Description copied from interface: `DataWriter`
  Open the named file. If a file is already being written to, all data will be flushed and the file will be closed.

  Specified by:
    `setFile` in interface `DataWriter`
  Parameters:
    `name` - The path used to open the file.
  Throws:
    `IOException` - If there is a problem.

### setFile

    public void setFile(File ref)
                 throws IOException

  Description copied from interface: `DataWriter`
  Open the specified file. If a file is already being written to, all data will be flushed and the file will be closed.

  Specified by:
    `setFile` in interface `DataWriter`
  Parameters:
    `ref` - The file.
  Throws:
    `IOException` - If there is a problem.

### setOutputStream

    public void setOutputStream(OutputStream stream)
                         throws IOException

  Throws:
    `IOException`